FreeMat

- Main Page
- Related Pages

vtkGeoView2D

Section: Visualization Toolkit Geo Vis Classes

# Usage

vtkGeoView is a 2D globe view. The globe may contain a multi-resolution geometry source (vtkGeoTerrain2D), multiple multi-resolution image sources (vtkGeoAlignedImageRepresentation), as well as other representations such as vtkGeoGraphRepresentation2D. At a minimum, the view must have a terrain and one image representation. By default, you may select in the view with the left mouse button, pan with the middle button, and zoom with the right mouse button or scroll wheel.

Each terrain or image representation contains a vtkGeoSource subclass which generates geometry or imagery at multiple resolutions. As the camera position changes, the terrain and/or image representations may ask its vtkGeoSource to refine the geometry. This refinement is performed on a separate thread, and the data is added to the view when it becomes available.

To create an instance of class vtkGeoView2D, simply invoke its constructor as follows

      obj = vtkGeoView2D

# Methods

The class vtkGeoView2D has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkGeoView2D class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkGeoView2D = obj.NewInstance ()`
- `vtkGeoView2D = obj.SafeDownCast (vtkObject o)`
- `vtkGeoView2D = obj.()`
- `~vtkGeoView2D = obj.()`
- `vtkGeoTerrain2D = obj.GetSurface ()`
- `obj.SetSurface (vtkGeoTerrain2D surf)`
- `vtkAbstractTransform = obj.GetTransform ()` - Returns the transform associated with the surface.
- `obj.ApplyViewTheme (vtkViewTheme theme)` - Apply the view theme to this view.
- `obj.Render ()` - Update and render the view.